package sudoku.structure;

//TODO: melvyn va passer par là
public enum Difficulty {

	VeryEasy("Très facile", 0.1), Easy("Facile", 0.25), Medium("Moyen", 0.5), Hard("Difficile", 0.75), VeryHard("Impossible", 0.78);

	final double factor;
	final String displayName;

	private Difficulty(String displayName, double factor) {
		this.factor = factor;
		this.displayName = displayName;
	}

	public String getDisplayName() {
		return displayName;
	}

	public double getFactor() {
		return factor;
	}

	private static final String[] difficultyNames;

	static {
		Difficulty[] diffs = Difficulty.values();
		difficultyNames = new String[diffs.length];
		for (int i = 0; i < diffs.length; i++) {
			difficultyNames[i] = diffs[i].getDisplayName();
		}
	}

	public static String[] getDifficultyNames() {
		return difficultyNames;
	}

}
